from machine import Pin, ADC
from time import sleep_ms
pinAnalogic = ADC(Pin(36)) # Emprarem ADC "analog to digital conversion" al pin 36
pinAnalogic.atten(ADC.ATTN_11DB)  # Voltatge max: 3.3v llavors eixida sera 4095
punterLaser= Pin(18, Pin.OUT ) #  Activarel el làser des d_aquest GPIO
i=1 # valor inicial de i
valorLecturaLDR = 0 #Inicialitzem el primer valor de LDR

while i>0: # Bucle infinit
      punterLaser.value(1) #Activem el punter Laser
      sleep_ms(50)# Esperem 50 ms per donar temps al programa a engegar el punter
      valorLecturaLDR = pinAnalogic.read() # llegim pinAnalogic.read() i ho guardem en la variable valorAnalogicLlegit   
      if valorLecturaLDR > 3000:
          print("Feix Laser NO tallat ja que valorLecturaLDR=",valorLecturaLDR) # Imprimim el valor de la variable
          print("   ") # Linia en blanc
      if valorLecturaLDR < 3000:
          print("Feix Laser SI tallat ja que valorLecturaLDR=",valorLecturaLDR) # Imprimim el valor de la variable
          print("   ") # Linia en blanc
      punterLaser.value(0) #Desactivem el punter Laser per estalviar energia
      print("iteracio=", i) # Missatge amb la iteracio num = i      
      print("   ") # Linia en blanc
      sleep_ms(1000) # Parem el temps
      i+=1 # i=i+1 Augmentem el valor de i amb 1 unitat
      
